DROP VIEW V_NUSER;

CREATE OR REPLACE VIEW V_NUSER AS (
	SELECT N.ID, N.NUSER, N.USER_,N.EMAIL, N.AKT, N.DAVCNA_ST, N.NNLOCATION_ID, N.N_BLAGAJNE, N.COMPUTER_LOCATION,
	NL.OPIS AS LOCATION_OPIS, NL.INTERNI_OPIS AS LOCATION_INTERNI_OPIS, NI.NAZIV AS LOKACI_OPIS, NI.INTERNI_OPIS AS LOKACI_INTERNI_OPIS, SL.NAZIV AS S_LOKACIJE_NAZIV
	FROM NUSER N
  LEFT OUTER JOIN NNLOCATION NL ON NL.ID = N.CURRENT_NNLOCATION_ID
  LEFT OUTER JOIN NNLOKACI NI ON NI.SIFRA = N.COMPUTER_LOCATION
  LEFT OUTER JOIN S_LOKACIJE SL ON SL.ID_LOKACIJA = N.CURRENT_WAREHOUSE_ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2222, SYSDATE, '5.5', 2142, 'User warehouse')
;
