ALTER TABLE SQL_SCRIPTS 
ADD ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y'
;

ALTER TABLE SMS
ADD NNLOCATION_ID NUMBER
;

DROP VIEW V_SMS;

CREATE OR REPLACE VIEW V_SMS
AS (
SELECT S.ID, S.RECEIVER, S.CONTENT, S.STATUS, S.SMS_FILE, S.DATE_CREATED, S.USER_CREATED, S.STATUS_MESSAGE, S.NNLOCATION_ID,
K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.MANAGER AS KUPCI_MANAGER, K.VRSTA AS KUPCI_VRSTA,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM SMS S
LEFT OUTER JOIN (SELECT ID_KUPCA, ID_SMS, NPISMO, RANK() OVER (PARTITION BY ID_SMS ORDER BY ID_OPOMINI ASC) RNK FROM OPOMINI) O ON (O.ID_SMS = S.ID AND O.RNK = 1 AND O.NPISMO = 'S')
LEFT OUTER JOIN KUPCI K ON O.ID_KUPCA = K.ID
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2247, SYSDATE, '5.5', 2167, 'V_SMS')
;