DROP VIEW V_S_INV_PROMET
;

CREATE OR REPLACE VIEW V_S_INV_PROMET AS (
SELECT SIP.ID_INV_PROMET, SIP.ID_INVENTURA, SIP.ID_ARTIKEL, SIP.ID_ENOTA, SIP.KOLICINA, SIP.ZALOGA, SIP.UPORABNIK, SIP.DT_VNOSA,
SA.NAZIV AS S_ARTIKLI_NAZIV, SA.NAZIV1 AS S_ARTIKLI_NAZIV1, SE.NAZIV AS S_ENOTE_NAZIV, SG.ID_GRUPA AS S_GRUPE_ID_GRUPA, SG.NAZIV AS S_GRUPE_NAZIV,
SA.BAR_KODA AS S_ARTIKLI_BAR_KODA
FROM S_INV_PROMET SIP
LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = SIP.ID_ARTIKEL
LEFT OUTER JOIN S_ENOTE SE ON SE.ID_ENOTA = SIP.ID_ENOTA
LEFT OUTER JOIN S_GRUPE SG ON SG.ID_GRUPA = SA.ID_GRUPA
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2256, SYSDATE, '5.5', 2176, 'V_S_INV_PROMET')
;