ALTER TABLE PAYMENT_RESPONSE
ADD TERMINAL_ID VARCHAR2(50 CHAR)
;

DROP VIEW V_RACUN_PAYMENTS
;

CREATE VIEW V_RACUN_PAYMENTS (ID, ID_SALDKONT, ID_CARDS, ZNESEK, TECAJ, NVALUTA, EXCHANGE_ID, TRANSACTION_ID, PROVIDER_SIGNATURE, POS_INPUT, TERMINAL_ID) AS 
  SELECT M.ID_MONEY AS ID, E.ID_SALDKONT, M.ID_CARDS, M.ZNESEK, M.TECAJ, M.NVALUTA, E.ID AS EXCHANGE_ID, PR.TRANSACTION_ID, PR.PROVIDER_SIGNATURE,
PR.POS_INPUT, PR.TERMINAL_ID
FROM EXCHANGE E
JOIN MONEY M ON E.ID=M.ID_MENJAVE
LEFT OUTER JOIN PAYMENT_RESPONSE PR ON M.PAYMENT_RESPONSE_ID=PR.ID
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2264, SYSDATE, '5.5', 2184, 'PAYMENT_RESPONSE')
;